funnel
Server API

Profile

Current user profile and sessions

List_accounts

GET
/accounts
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://loading/api/v1/accounts"
[
  {
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "provider": "string"
  }
]
{
  "error": "string"
}

Get_current_user

GET
/me
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://loading/api/v1/me"
{
  "avatar_url": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "deactivated_at": "2019-08-24T14:15:22Z",
  "email": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "metadata": {},
  "name": "string",
  "role": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "error": "string"
}
{
  "error": "string"
}

List_sessions

GET
/sessions
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer
Formatint64
all?boolean

Response Body

curl -X GET "https://loading/api/v1/sessions?limit=0&all=true"
[
  {
    "bytes_in": 0,
    "bytes_out": 0,
    "client_ip": "string",
    "connected_at": "2019-08-24T14:15:22Z",
    "disconnected_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "requests": 0,
    "tunnel_id": "string",
    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
  }
]
{
  "error": "string"
}